菜单

Ubuntu下Gearman安装搭建

2019年8月6日 - 4166m金沙

近阶段一直在查看项目里所使用到的一些技术点,发现了gearman,于是就动手搞了下环境,下面是来自百度百科关于gearman的介绍:

近阶段一直在查看项目里所使用到的一些技术点,发现了gearman,于是就动手搞了下环境,下面是来自百度百科关于gearman的介绍:

近阶段一直在查看项目里所使用到的一些技术点,发现了gearman,于是就动手搞了下环境,下面是来自百度百科关于gearman的介绍:

Gearman是一个用来把工作委派给其他机器、分布式的调用更适合做某项工作的机器、并发的做某项工作在多个调用间做负载均衡、或用来在调用其它语言的函数的系统。

Gearman是一个用来把工作委派给其他机器、分布式的调用更适合做某项工作的机器、并发的做某项工作在多个调用间做负载均衡、或用来在调用其它语言的函数的系统。

Gearman是一个用来把工作委派给其他机器、分布式的调用更适合做某项工作的机器、并发的做某项工作在多个调用间做负载均衡、或用来在调用其它语言的函数的系统。

 

可用于sso
分发连接,但有弊端就是占用系统资源较多,例如CPU、内存。

可用于sso
分发连接,但有弊端就是占用系统资源较多,例如CPU、内存。

可用于sso 分发连接,但有弊端就是占用系统资源较多,例如CPU、内存。

 

 

1.更新

1.更新

1.更新

sudo apt-get update

sudo apt-get update

sudo apt-get update

wget

wget

wget

tar zxvf gearmand-1.1.12.tar.gz

tar zxvf gearmand-1.1.12.tar.gz

tar zxvf gearmand-1.1.12.tar.gz

cd gearmand-1.1.12/

cd gearmand-1.1.12/

cd gearmand-1.1.12/

./configure

./configure

./configure

configure: error: could not find boost

configure: error: could not find boost

configure: error: could not find boost

sudo apt-get install libboost-dev

sudo apt-get install libboost-dev

sudo apt-get install libboost-dev

接着重新执行:./configure

接着重新执行:./configure

接着重新执行:./configure

configure: error: Could not find a version of the library!

configure: error: Could not find a version of the
library!

configure: error: Could not find a version of the
library!

sudo apt-get install libboost-all-dev

sudo apt-get install libboost-all-dev

sudo apt-get install libboost-all-dev

接着重新执行:./configure

接着重新执行:./configure

接着重新执行:./configure

configure: error: could not find gperf

configure: error: could not find gperf

configure: error: could not find gperf

sudo apt-get install gperf*

sudo apt-get install gperf*

sudo apt-get install gperf*

接着重新执行:./configure

接着重新执行:./configure

接着重新执行:./configure

configure: error: Unable to find libevent

configure: error: Unable to find libevent

configure: error: Unable to find libevent

sudo apt-get install libevent-dev

sudo apt-get install libevent-dev

sudo apt-get install libevent-dev

接着重新执行:./configure

接着重新执行:./configure

接着重新执行:./configure

configure: error: Unable to find libuuid

configure: error: Unable to find libuuid

configure: error: Unable to find libuuid

安装libuuid

安装libuuid

安装libuuid

这里不能通过 sudo apt-get install 来安装了,找不到,通过下面方式安装

这里不能通过
sudo apt-get install
来安装了,找不到,通过下面方式安装

这里不能通过
sudo apt-get install
来安装了,找不到,通过下面方式安装

wget

wget

wget

sudo tar zxvf libuuid-1.0.3.tar.gz

sudo tar zxvf libuuid-1.0.3.tar.gz

sudo tar zxvf libuuid-1.0.3.tar.gz

cd libuuid-1.0.3/

cd libuuid-1.0.3/

cd libuuid-1.0.3/

./configure

./configure

./configure

没有错误的情况下继续

没有错误的情况下继续

没有错误的情况下继续

相关文章

发表评论

电子邮件地址不会被公开。 必填项已用*标注

网站地图xml地图